#!/bin/sh
. /etc/rc.common

echo "Removing Preference Pane..."
sudo rm -r /System/Library/PreferencePanes/Wireless\ Adaptor.prefPane
echo "Removing Framework..."
sudo rm -r /System/Library/Frameworks/PrismCocoa.framework
echo "Removing Startup Items..."
sudo rm -r /System/Library/StartupItems/PrismStartup
echo "Removing Driver..."
sudo rm -r /System/Library/Extensions/Intersil\ Prism2.kext
sudo rm -r /System/Library/Extensions/IntersilBase.kext
echo "Updating Driver Cache..."
sudo /usr/sbin/kextcache -k /System/Library/Extensions
echo "Touching Extensions..."
sudo /usr/bin/touch /System/Library/Extensions
echo "Touching Preference Panes..."
sudo /usr/bin/touch /System/Library/PreferencePanes
echo "Touching Frameworks..."
sudo /usr/bin/touch /System/Library/Frameworks
echo "Touching StartupItems..."
sudo /usr/bin/touch /System/Library/StartupItems
echo "Uninstall Complete."
